# Nibriboard

An infinite whiteboard for recording those big ideas.

## Credits
 - Main code - [Starbeamrainbowlabs](https://starbeamrainbowlabs.com/)
 - Client-Side Libraries:
 	 - [favicon-notification](https://www.npmjs.com/package/favicon-notification)
 	 - [event-emitter-es6](https://www.npmjs.com/package/event-emitter-es6) - For ES6 class event generation and consumption
 	 - [color](https://www.npmjs.com/package/color) - For colour generation and manipulation
 	 - [cuid](https://www.npmjs.com/package/cuid) - For Id generation (Also available for .NET - todo look into using that here too)
 	 - [fps-indicator](https://www.npmjs.com/package/fps-indicator) - The fps graph in the top right
 	 - [pan-zoom](https://www.npmjs.com/package/pan-zoom) - Handles panning & zooming delta calculations
     - [keycode](https://www.npmjs.com/package/keycode) - Key code -> key name translation
 	 - [acorn](https://www.npmjs.com/package/acorn) - Syntax checking etc. during `npm build .`
 	 - [browserify](https://www.npmjs.com/package/browserify) - Building and packing the client-sided js into a single bundle
 	 - [rollupify](https://www.npmjs.com/package/rollupify) - Adds support for es6 modules to browserify, and removes unused code from the final bundle
 - Images:
     - [Transparent Square Tiles](https://www.toptal.com/designers/subtlepatterns/transparent-square-tiles/) from [subtlepatterns.com](https://subtlepatterns.com/)
 - Future reference: Libraries I am considering
	 - [Paper.js](http://paperjs.org/) - Client-side rendering
 - [IotWeb](http://sensaura.org/pages/tools/iotweb/) - Underlying HTTP / WebSocket server
